Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPCompressedDataGenerator

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPCompressedDataGenerator

All Implemented Interfaces:
  CompressionAlgorithmTags, PacketTags

public class PGPCompressedDataGenerator
extends java.lang.Object
implements CompressionAlgorithmTags, PacketTags

class for producing compressed data packets.

Field Summary

Fields inherited from interface org.bouncycastle.bcpg.CompressionAlgorithmTags
`UNCOMPRESSED, ZIP, ZLIB`

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPIRIMENTAL_1, EXPIRIMENTAL_2, EXPIRIMENTAL_3, EXPIRIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`PGPCompressedDataGenerator(int algorithm)`

Method Summary
`void` | `close()` Close the compressed object.
`java.io.OutputStream` | `open(java.io.OutputStream out)` Return an outputstream which will save the data being written to the compressed object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPCompressedDataGenerator

    public PGPCompressedDataGenerator(int algorithm)

Method Detail

### open

    public java.io.OutputStream open(java.io.OutputStream out)
                              throws java.io.IOException

  Return an outputstream which will save the data being written to the compressed object.

  Parameters:
    `out` -
  Returns:
    OutputStream
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Close the compressed object.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD